(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     42129,        908]*)
(*NotebookOutlinePosition[     42993,        936]*)
(*  CellTagsIndexPosition[     42949,        932]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Initialization when kernel start", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MessageLinkCreate[]\)], "Input"],

Cell[BoxData[
    \("Serializer.PPC2"\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Launch ",
  StyleBox["MathLink",
    FontSlant->"Italic"],
  " Program and Establish Connection"
}], "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(p\  = \ New[MLProgram, "\<QDWindow.PPC\>", LinkMode -> Connect]\)], 
  "Input"],

Cell[BoxData[
    \(self$1389\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SetOptions[SetDefaultWindowRect, DefaultWindowSize \[Rule] {400, 400}]
      \)], "Input"],

Cell[BoxData[
    \({DefaultWindowSize \[Rule] {400, 400}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Program's Overview", "Section"],

Cell[TextData[{
  "Two MathLink Programs are running.\n\n(1) Interactive Graphics \
Application(A ",
  StyleBox["MathLink",
    FontSlant->"Italic"],
  " Template Program)\n(2) An Application manages Event from these \
Applications(Serializer)"
}], "Text"],

Cell[GraphicsData["PICT", "\<\
6iX0000008`1D00A0_l<0?on000180000B0000=n0;H5[PGf0iCVnP2P08800@0:
0gh0]PF^1OH01`000000200:00T`BHPj]Ic`>@0R0>`08@0000Woooooooooo`0S
0000X0340:40`0;H9BE4DdU4BD=D>UmSMPeeLfEbI6USM20_Gf=f86]^KgM^86i_
M21kMG=ULVAYHg@P;emSMR0b<21TJF=d871eM7eYIPeOHgHPHVEWJFh=;f9TIW]R
JFiT86AUIWeRJFiT86AUIPd_JG=4IGIYHfE3Kfa_LR1k;f=eLW9UKWASKfa_LW=`
HF=U87MXIG9UNg1_L21SMG9bIFidHfm/Kg9cL65SIB0`86MUM21TMG0P;dAUMVUS
IDMbHGTPIG4PIGQSJ21TMG0P;dAUMVUSIE97@R1ULB1UN6=X82m4IGIYHfE3CEU;
86Ea86mb86mbOG]DOFUVIFacIGeRI6H=;g=UM6=]NF]SKfa_LR1gJ6EbIG/_LfEd
HfeiJf=_K6mb86MUM20_HgISKGU[86EhHfPPI6EVOG/_HgISKGU[Nc4PLgER83@P
<B1bKfa/83=k<b1YKVAUN21QI6@PKVEW86AeL20`86adNg1_L20`OFUV83<P<B1b
Kfa/OG9UL6EQM21cIGAbIf9SKfa_LR1`Kg1mHVAV87eYIVE/LfD=;g=dIg]YLdAU
MVUSID=_K6mb87]SIR1SHB0_Hg<PK6mQI21cIGAcHg9UIFhPLfEdIg9QNGekL6m`
OFUVIFacIGeRI6H=;g=dLVMRNfUcA6EfJF=U@fm/Kg8PNf=V86=Q82mSLb1/Kf5T
87=UM7=SLVEUKR1cIGAbIf9SKfa_LWekL6m`871_L21`Kg1mJFIUK7=UOF9TIPd_
LgASKGU[NfUcA6EfJF=U@fm/Kg8PNf=V86=Q82mSLb1/Kf5T87=UM7=SLVEUKR1S
MV=]NF]mNg1_L21`Kg0PL6m`871_L7eYIVE/LfEmHVAV3Bm]JFhaNfAeL20`86Ea
Ng1_L20aOFUVOF9TIPeSMG9bIFidLf=bIFE^;f=c86EhHfPPI6EV;f=Q86EhHfPP
I6EV;f=V86EhHfPPI6EV3FE^I0d0X02o00P020090000000000008`0002<0002Q
0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^
I7ekL6m`OFUVIFacI@d08`000:40I01PI79g<P030Ch0O`5;0BJ00800P02000<3
0000000000000?ooooooo`015048O@000041A@240DD19@00000000000040500<
00<00P0005X00@000080040000`0000002<0000S0000X@3003Xa820P820PMG=U
LVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=
02<00009ooooooooool08`0002<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:00ZP1Q
1<`4C0EL1=coTP0X00L0300<02053P8:1@h4A`2P0:d01`0000002@0000000000
02<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869U
IfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0H6AbMc800`5<0801F@4V
P0200800P0030`0000000000003oooooool00A@127d000020E<0Q@5C0BD00000
0000000101@030030080001J004000020010000<0000000S00008`000:40`00j
<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`
Kg1mJFIUK7=U3@0S00002Ooooooooooo02<0000S0000X@3003X`820P820PMG=U
LVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=
02<0002P0:/0H@D40L`5U09L04H0:00700`0300P1DH2E@E618h0X02]00L00000
02<0000S0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869U
IfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0<6AbMc80103V0;013`3_
iKh;d@0000010@0000000000003oooooool00@4127d0000S00008`000:40`00j
<20P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`
Kg1mJFIUK7=U3@0S0000<@>J0[h4?P>n02<0000S0000X@3003X`820P820PMG=U
LVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=
02<0000700@0100h00L0000000VZEJYEZUFZE@0S00008`000:40`00j<2he820P
87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIU
K7=U3@0S0000X@1T031TLWLb00@0h@2]0@T0j`00000J@_@_0@40000000000000
oooooooo00440@Qm00008`0002<0002Q0<00>S0^=B0P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000343PP:b
12H3/P09ooooooooool08`0002<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`0000L01004
03P0X02<00L0000002<0000S0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[
KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0<6Ab
Mc80104e0381J023KiOPOP0000010@0000000000003oooooool00@4127d0000S
00008`000:40`00j<20P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMY
KR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000<@CD0<X5XP8>02<0000S0000X@30
03X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAm
Ng1_L7eYIVE/LfD=02<0000700@0100h00L0000000T000000000000S00008`00
0:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LP
IFiTOG]`Kg1mJFIUK7=U3@0S0000X@1T031TLWLb00@1;P0_0F00O`00002@JAn2
0@40000000000000oooooooo004D0@Qm00008`0002<0002Q0<00>S4P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`000344]P2j1H@1oP09ooooooooool08`0002<0002Q0<00>S0P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`0000L0100403P0X02=00L0000000T000000000000S00008`000:40`00j
<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`
Kg1mJFIUK7=U3@0S0000X@1T035TLWLb0081?P0i0EH0L`000000000000000000
00000000oooooooo00400@5]0001000800T08`0002<0002Q0<00>S4P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`000:40UP0<0P0000;f000000000:40I00@I79g<P0j00D000000040002Q
06@03VAbMc80>P0202@000000:40I00dI79g<P0j00400`0000X0000000000000
00500001@000000000000000000000000000002Q09X0200<0000LP000:00V00/
00`05@U8IFafIGAYHf400`0E00d0:00^00@0004001000D000050000X1A`0iP]=
HGAXIFeQM6USH@2P09T0X@1T00YTLWLb03X0304=0:00V02P09T0X02H02/R<0Q6
LVm^M6E^I000X02I0:40I008I79g<P0j00@0XACS00800@2P09L020080285C06W
00008`000:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMY
KR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000X@1T035TLWLb0080i@2i0@H0g`00
000000000000000000000000oooooooo004D0@5m0001000800T08`0002<0002Q
0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^
I7ekL6m`OFUVIFacI@d08`0000P0200a0i@2i0@H0g`0X@2F00`200000YD00000
0000X@1T011TLWLb03X01@0000000@000:40I00>I79g<P0j008090000000X@1T
03ATLWLb03X00@0300002@000000000000000D00005000000000000000000000
000000000:40VP08028000190000X02H00d0900X0k@2i`Q=HGAXC6U^J`00X02I
0:40I00:I79g<P0j00`13@2P09P0X02I0:00V00X0n02i@QDIFe`K65dI@00X02I
0:40I00:I79g<P0j00`13@2P09P0X02I0:00V00[1b`7D79_Ig9QK@2P09T0X@1T
00QTLWLb03X0102Q5><00P010:00U`2P08`02Ooooooooooo028430=e00008`00
0:40`00j<20P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LP
IFiTOG]`Kg1mJFIUK7=U3@0S0000X@1T031TLWLb00@1=`4[0FX1O6nGh7h00000
0@40000000000000oooooooo00410@Qm00008`0002<0002Q0<00>S0P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`000344g0B^1JX5lP0S00008`000:40`00j<20P820P87EcIG9TJF=d82mO
HgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S00001`04
00@0>007000000090000000000008`0002<0002Q0<00>S4P820P821eLfEbI6US
M20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`00
0:40I00`I79g<P040C01:05R0GP00000T6TOPP410000000000000?ooooooo`01
5048O@0002<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1k
Gf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0000a1;h4WPF<1N802Ooo
oooooooo02<0000S0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1k
Gf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0000700@0100h0:00S@07
000000090000000000008`0002<0002Q0<00>S4P820P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I00a
I79g<P020Cl1<P5G0Fb00800P02000000000000000000?ooooooo`010041O@00
0@00200902<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1k
Gf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q09H030800002mP00
0000002Q06@046AbMc80>P05000000010000X@1T00iTLWLb03X00P0T0000002Q
06@0=6AbMc80>P0100<0000:0000000000000001@0000D000000000000000000
000000000000X@2J00P030000780002P09P03@0X02P58PC<2deQM6QUKF5dJF=Q
0:00V@2Q06@02VAbMc80>P0<0@d0X02H0:00V@2P09P0:cT`1T]ULViUK000X02I
0:40I008I79g<P0j00@0XACS00800@2P09L0200800Woooooooooo`0R1E85N000
02<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhP
LgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I00`I79g<P040Cd0^@5V0?SU_P_A
000000410000000000000?ooooooo`010@48]P0002<0000S0000X@3003X`820P
820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eY
IVE/LfD=02<0000a1?H2hPFJ0n808`0002<0002Q0<00>S0P820P821eLfEbI6US
M20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`00
00L0100403P01`0000002JYEZUFZEJYE02<0000S0000X@3003X`;SDP820PMG=U
LVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=
02<0002Q06@0<6AbMc80104h0;H1H03d000001Y2m2l10@0000000000003ooooo
ool00@@127d0000S00008`000:40`00j<2he820P87EcIG9TJF=d82mOHgHPJfi_
MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000<@CN0]H5PP?F
00Woooooooooo`0S00008`000:40`00j<20P820P87EcIG9TJF=d82mOHgHPJfi_
MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S00001`0400@0>007
000000090000000000008`0002<0002Q0<00>S4P820P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I00`
I79g<P040D@0_05D0>h00000000000410000000000000?ooooooo`015008O@00
02<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869U
IfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0000a1@h2kPEB0kX08`0002<0002Q
0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^
I7ekL6m`OFUVIFacI@d08`000:40I00aI79g<P020DH0_`5B0>T0000000000000
0000000000000?ooooooo`010041O@000@00200902<0000S0000X@3003Xa820P
820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eY
IVE/LfD=02<0002Q09H03080000200000000002Q06@046AbMc80>P0500000001
0000X@1T00iTLWLb03X00P0T0000002Q06@0=6AbMc80>P0100<0000:00000000
00000001@0000D000000000000000000000000000000X@2J00Som00005<0002P
09P0:0Dl0_d:DfEbJF5/JGYULP00X02I0:40I008I79g<P0j00@0XACS00800@2P
09L020080285?0>S00008`000:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_
MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000X@1T061TLWLb
00<13@3>0Cd0h@00000000000`<0000000000000oooooooo004D0@Qm0000004=
0<h1?@3Q0000000000000@0D00`00`020000FP0100000P00@000300000008`00
02<0002Q0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhP
LgAW86E^I7ekL6m`OFUVIFacI@d08`0000Woooooooooo`0S00008`000:40`00j
<20P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`
Kg1mJFIUK7=U3@0S00001`0<00`080@^0c84kP=n00L0000000T000000000000S
00008`000:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMY
KR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000X@1T061TLWLb00<1=P3M0D<15H00
002008000`<0000000000000oooooooo004D0@Qm00000@4m0>41?@4D00200000
00000@0D00`00`020000FP0100000P00@000300000008`0002<0002Q0<00>S4P
820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`
OFUVIFacI@d08`0000Woooooooooo`0S00008`000:40`00j<20P820P87EcIG9T
JF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S
0000X02Z0644[0@81C`4V?nB02P01`0<00`080C^0h04kP@30:00[@2Q06@01VAb
Mc80A02P08<0o`\>"], "Graphics",
  ImageSize->{336, 140},
  ImageMargins->{{33, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
  "Users's event, mouse click, menu select etc.. will send to ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Kernel.\nAnd Kernel send external call packet to react the event."
}], "Text"],

Cell[GraphicsData["PICT", "\<\
@O8010040<01VP0A0_l<0?ooool0100000@0006J0000`0000000000Joooooooo
00402P00000omP7i03702/0:?oHomP0J00000?oo0280107`10008@2o0O@08o`0
02801@7`0`008P070O43002P08806P000000000100X010040<01VP0700000008
00X02C19R3ZeW?0i02;om`0W00002Ooooooooooo02<0002P0<@0X@300]PU9DAC
BDA9@e@jGf=f3GEcIG9TJF=d82mOHgHPJfi_MfhPKVmd87]eLfEbI6USM20_Gf=f
838`86AYHg@PL7EdOFUV3EmSMR1RIFMYKPd_HVAVNf9YKV@PI6EVOF9YKV@PI6EV
3BmYLdAUMVUSID=_K6mb87/_HgEbLVE^M6=_K6mbLg1QHfDPMfQULVEkL6m`86=e
LW9UKWASKfa_LW=`HF=U830PIfEd86AeL20_A6EfJF=UAg9QNB1ULB1UN6=X86Ae
L20_A6EfJF=UDTM286Ea86EhHfPP;dAUMVUSID==FD/PIG4PKg8PKg9mNeAmJFIU
K7=UOF9TIPd_LfEdHfeiJf=_K6mb87MXIG9UNbmcIGASKGU[Hfm/Kg8PIfEd82mS
MV=]NF/PIGQSJ21TIFImNbmSMV=]NF]k<B1cMF8P=20a879_K6`P<g/c86U^I6Eh
865TI21^IFLPI7E`830PK7AkL6m`831mJFHP<b0a879_K6amLVE`IF5d87=UM79W
HV=_K6mb871_L7eRI6HPOFUVIFacI@d_LgAWNfUcA6EfJF=U@fm/Kg8PNf=V86=Q
82mSLb1/Kf5T87=UM7=SLVEUKR1cIGAWLV5iOG]`Kg1mJFIUK7=UOF9TIPd_LgAb
If9kJG=4IGIYHfE3Kfa_LR1kHfHPHf4P;f=c86a_HF@PLfEdLf=bIFE^87=UM79W
HV=_K6mbOG]`Kg0PL6m`871_L7eYIVE/LfEmHVAV3BmcM6=]NF]kJG=4IGIYHfE3
Kfa_LR1kHfHPHf4P;f=c86a_HF@PLfEdLf=bIFE^86=fHfeiJgekL6m`871_L21`
Kg0PL6m`OFUVIFacIGeRI6H=;feYKS5kI7E`830PIG5kL6m`835mJFImHVAV3F=e
LW9UKWAcHg9UIFh_Hg<PIGQSJ21TIFH_Hf4PIGQSJ21TIFH_HfHPIGQSJ21TIFH=
IFiT3@2P0;l0200802<0000S0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[
KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0<6Ab
Mc80101W0E4120710000000000010@0000000000003oooooool00@4127d0000S
00008`000:40`00j<20P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMY
KR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000<@0N0BT0`06J02<0000S0000X@30
03X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAm
Ng1_L7eYIVE/LfD=02<0000700400@0h00L0000000T000000000000S00008`00
0:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LP
IFiTOG]`Kg1mJFIUK7=U3@0S0000X@1T031TLWLb00@0H@590@<1^`0000000000
0@40000000000000oooooooo004D0@Qm00008`0002<0002Q0<00>S4P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`000340604Q0;/1U009ooooooooool08`0002<0002Q0<00>S0P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`0000L00@0103P01`0000008`0002<0002Q0<00>S0P820P821eLfEbI6US
M20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`00
0:40I00`I79g<P0406P0LP450=T00000000000410000000000000?ooooooo`01
0@48O@0002<0000S0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1k
Gf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0000a01l0BP2m0;808`00
02<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhP
LgAW86E^I7ekL6m`OFUVIFacI@d08`0000L00@0103P01`0000002@0000000000
02<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869U
IfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0<6AbMc80101S06d1003D
0000000000010@0000000000003oooooool00A@127d0000S00008`000:40`00j
<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`
Kg1mJFIUK7=U3@0S0000<@0J04D0^02]00Woooooooooo`0S00008`000:40`00j
<20P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`
Kg1mJFIUK7=U3@0S00001`010040>00Jk^k^k^k^00L0000000V000P0P008000S
00008`000:00a02Q0<00DC0^>CTe>20`;STi=CPP<2hi>CDh87EcIG9TJF=d82mO
HgHPJfi_MfikGf=f869UIfU^87=dLVMR86E^I7ekL6m`871_L21`Kg1mJFIUK7=U
3@00X02o02<0002Q06@0<6AbMc801P260H<0YP6e0000000000000000003^k^k^
k^koooooool00AH02680000S00008`000:00a02Q0<00DC0^>CTe>20`;STi=CPP
<2hi>CDh87EcIG9TJF=d82mOHgHPJfi_MfikGf=f869UIfU^87=dLVMR86E^I7ek
L6m`871_L21`Kg1mJFIUK7=U3@00X02o02<0001A03d1F`1M0Hd06P0000000009
ooooooooool08`0002<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f86]^KgM^
87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I00`I79g<P06
08h1QP2]0KN00800P02000410000000000000?ooooooo`010@48O@0002<0000S
0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=d
Ib1UKVAmNg1_L7eYIVE/LfD=02<0001A04D1GP1U0I008`0002<0002Q0<00>S0P
820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`
OFUVIFacI@d08`0000L00@0105P01`0000002JYEZUFZEJYE02<0000S0000X@30
03X`;SDP820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAm
Ng1_L7eYIVE/LfD=02<0002Q06@0<6AbMc801P260H<0Y@6dP0200800P0010@00
00000000003oooooool00@@127d0000S00008`000:40`00j<2he820P87EcIG9T
JF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S
0000D@0m0E/0G@6=00Woooooooooo`0S00008`000:40`00j<20P820P87EcIG9T
JF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S
00001`010040F007000000090000000000008`0002<0002Q0<00>S4P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`000:40I00aI79g<P020981R@2M0Jh00000000000000000000000000?oo
ooooo`015001O@000000200902<0000S0000X@3003Xa820P820PMG=ULVAYHg@P
;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<00008
00P0<@190F40E0660:40UP0<0P000098000000000:40I00@I79g<P0j00D00000
0040002Q06@03VAbMc80>P0202@000000:40I00dI79g<P0j00400`0000T00000
0000000000400@010040000000000000000000000000002Q09X02?of0000=000
0:00V00/00`05@U8IFafIGAYHf400`0E00d0900^00@000400100_06F0_06F00E
X000:01A0FH6Cf9ZIF=d002P09T0X@1T00QTLWLb03X0102Q5><00P010:00U`0R
0541P00002<0002Q0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHP
HVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I00aI79g<P020>81D03^
0K000000000000000000000000000?ooooooo`010001O@000000200902<0000S
0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=d
Ib1UKVAmNg1_L7eYIVE/LfD=02<0002Q09H03040000220000000002Q06@046Ab
Mc80>P05000000010000X@1T00iTLWLb03X00P0T0000002Q06@0=6AbMc80>P01
00@1000<000000000000000100400@010000000000000000000000000000X@2J
00Sol0000;l0002P09P0X02K0:40I00EI79g<P0j00U3K6mcIEMYKVA_Me]M000/
00X05PM3KgEbJFEb00<05P040@003@0`01EP000X0:<1:05301DP000Y1`5/000E
h000:@H1K`005J0002T70G<001EP000Y1`5U000E8000:@L1E`005N0002T60FT0
01FP000Y1`5^000EH000:@L1I0005B0002T70Fl001GP000Y1P5g000EX000:@L1
F`005F0002T70Ed00:00W02Q06@026AbMc80>P0:0:00V@2Q06@026AbMc80>P04
0:4Dh`020040X02G00P0200R0:<1P00002<0002Q0<00>S4P820P821eLfEbI6US
M20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`00
0:40I00aI79g<P020?41D03m0JT00000000000000000000000000?ooooooo`01
0001O@000000200902<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[
KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q09H03040
00022P000000002Q06@046AbMc80>P05000000010000X@1T00iTLWLb03X00P0T
0000002Q06@0=6AbMc80>P0100@1000<000000000000000100400@0100000000
00000000000000000000X@2J00Sol0000;40002P09P0X02K0:40I00DI79g<P0j
00U?L6E^EfU^I6mgFed05F0002P0/P4X0Dl05B0002T70G0001GP000Y1P5U000E
X000:@L1KP005F0002T70EL001DP000Y1`5Y000Eh000:@H1KP005J0002T70F@0
01EP000Y1`5_000E8000:@L1M`005N0002T60E/001FP000Y1`5M002P09`0X@1T
00QTLWLb03X02P2P09T0X@1T00QTLWLb03X0102Q5><00P010:00U`0800P08P2b
0GT0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869U
IfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0<FAbMc800P3O09l0j`3F
000000000000000000000000003oooooool00@000Gd0000000P02@0S00008`00
0:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LP
IFiTOG]`Kg1mJFIUK7=U3@0S0000X@2F00`100000PX000000000X@1T011TLWLb
03X01@0000000@000:40I00>I79g<P0j008090000000X@1T03ATLWLb03X00@04
00002P000000000000000@0100400@000000000000000000000000000:40VP08
oo@0001]0000X02H0:00V`2Q06@046AbMc80>P09Mf=/Kg=U:2T0100000d0:00E
H000:02O07L1M`0E8000:@H1H`005N0002T50F`001FP000Y1P5_000EH000:@H1
L`005B0002T60FD001GP000Y1@4X000EX000:@H1:@00X02L0:40I008I79g<P0j
00X0X02I0:40I008I79g<P0j00@0XACS00800@2P09L020080280W`2U00008`00
0:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LP
IFiTOG]`Kg1mJFIUK7=U3@0S0000X@1T035TLWLb0080kP2C0?X0a`0000000000
0000000000000000oooooooo0040005m0000000800T08`0002<0002Q0<00>S4P
820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`
OFUVIFacI@d08`000:40UP0<0@000089000000000:40I00@I79g<P0j00D00000
0040002Q06@03VAbMc80>P0202@000000:40I00dI79g<P0j0040100000X00000
0000000000400@010040000000000000000000000000002Q09X02?od0000I`00
0:00V02P09/0X@1T00mTLWLb03X02GM_L6E^:2T001EP000X0:h0J`5g01DP000Y
1P5_000Eh000:@D1L0005J0002T60FD001EP000Y1P5^000E8000:@H1:0005N00
02T50BT00:00W02Q06@026AbMc80>P0:0:00V@2Q06@026AbMc80>P040:4Dh`02
0040X02G01[^k^k^k^h020080280[P2D00008`000:40`00j<B0P820P87EcIG9T
JF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S
0000X@1T031TLWLb00@0T@1f0<l0b0000000000000000000k^k^k^k^oooooooo
004000Qm00006P0000000009ooooooooool08`0002<0002Q0<00>S0P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`000:40I00`I79g<P0409L0N@3D0<Z00800P02000410000000000000?oo
ooooo`010@48O@0002<0000S0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[
KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0000a04h0D@2<
0:<08`0002<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHP
HVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`0000L00@0103P01`0000002JYE
ZUFZEJYE02<0000S0000X@3003X`;SDP820PMG=ULVAYHg@P;emSMR1[KVmgKR1k
Gf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0<6AbMc80102A
07@0cP35P0200800P0010@0000000000003oooooool00@@126d0000S00008`00
0:40`00j<2he820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LP
IFiTOG]`Kg1mJFIUK7=U3@0S0000<@1804`0QP2N00Woooooooooo`0S00008`00
0:40`00j<20P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LP
IFiTOG]`Kg1mJFIUK7=U3@0S00001`010040>00Jk^k^k^k^00L0000000V000P0
P008000S00008`000:00a02Q0<00DC0^>CTe>20`;STi=CPP<2hi>CDh87EcIG9T
JF=d82mOHgHPJfi_MfikGf=f869UIfU^87=dLVMR86E^I7ekL6m`871_L21`Kg1m
JFIUK7=U3@00X02o02<0002Q06@0<6AbMc801P2Z0El0bP6A0000000000000000
003^k^k^k^koooooool00AH02680000S00008`000:00a02Q0<00DC0^>CTe>20`
;STi=CPP<2hi>CDh87EcIG9TJF=d82mOHgHPJfi_MfikGf=f869UIfU^87=dLVMR
86E^I7ekL6m`871_L21`Kg1mJFIUK7=U3@00X02o02<0001A0641=`210FT06P00
00000009ooooooooool08`0002<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I00`
I79g<P060:`1G`3;0I200800P02000410000000000000?ooooooo`010@48O@00
02<0000S0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869U
IfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0001A06<1=`230FT08`0002<0002Q
0<00>S0P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^
I7ekL6m`OFUVIFacI@d08`0000L00@0105P01`0000002JYEZUFZEJYE02<0000S
0000X@3003X`;SDP820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=d
Ib1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0<6AbMc801P2U0E`0a06=P0200800
P0010@0000000000003oooooool00@@127d0000S00008`000:40`00j<2he820P
87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIU
K7=U3@0S0000D@1L0C@0O05V00Woooooooooo`0S00008`000:40`00j<20P820P
87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIU
K7=U3@0S00001`010040F007000000090000000000008`0002<0002Q0<00>S4P
820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`
OFUVIFacI@d08`000:40I00aI79g<P020;01H@2k0HH000000000000000000000
00000?ooooooo`015001O@000000200902<0000S0000X@3003Xa820P820PMG=U
LVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=
02<0000800P0<@1W0CT0LP5N0:40UP0<0P000098000000000:40I00@I79g<P0j
00D000000040002Q06@03VAbMc80>P0202@000000:40I00dI79g<P0j00400`00
00T000000000000000400@010040000000000000000000000000002Q09X02?of
0000=0000:00V00301D03@0T01FP000X06l1?PI?HVYUHg@00:00V@2Q06@026Ab
Mc80>P040:4Dh`020040X02G01[^k^k^k^h02H00202000P00280K`5H00008`00
0:00a02Q0<00DC0^>CTe>20`;STi=CPP<2hi>CDh87EcIG9TJF=d82mOHgHPJfi_
MfikGf=f869UIfU^87=dLVMR86E^I7ekL6m`871_L21`Kg1mJFIUK7=U3@00X02o
02<0002Q06@0<6AbMc801P1^0Dh0SP600000000000000000003^k^k^k^kooooo
ool00AH02680000S00008`000:00a02Q0<00DC0^>CTe>20`;STi=CPP<2hi>CDh
87EcIG9TJF=d82mOHgHPJfi_MfikGf=f869UIfU^87=dLVMR86E^I7ekL6m`871_
L21`Kg1mJFIUK7=U3@00X02o02<0001A02D19P150EP06P0000000009oooooooo
ool08`0002<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHP
HVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I00`I79g<P0607H1D02E
0H600800P02000410000000000000?ooooooo`010@48O@0002<0000S0000X@30
03X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAm
Ng1_L7eYIVE/LfD=02<0001A02d1:01=0EX08`0002<0002Q0<00>S0P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`0000L00@0105P01`0000002JYEZUFZEJYE02<0000S0000X@3003X`;SDP
820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eY
IVE/LfD=02<0002Q06@0<6AbMc801P1^0Dh0S@5oP0200800P0010@0000000000
003oooooool00@@127d0000S00008`000:40`00j<2he820P87EcIG9TJF=d82mO
HgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000D@0U
0BH0A@5H00Woooooooooo`0S00008`000:40`00j<20P820P87EcIG9TJF=d82mO
HgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S00001`01
0040F007000000090000000000008`0002<0002Q0<00>S4P820P821eLfEbI6US
M20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`00
0:40I00aI79g<P0207T1E0240GT00000000000000000000000000?ooooooo`01
5001K@000000200902<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[
KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0000800P0<@0`
0B`0>`5A0:40UP0<0P000098000000000:40I00@I79g<P0j00D000000040002Q
06@03VAbMc80>P0202@000000:40I00dI79g<P0j00400`0000T0000000000000
00400@010040000000000000000000000000002Q09X02?of0000=0000:00V00E
X000:00h0C46Cf9ZIF=d002P09T0X@1T00QTLWLb03X0102Q5><00P010:00U`0R
03P1B`0002<0002Q0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHP
HVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I00aI79g<P020500K`1N
0=800000000000000000000000000?ooooooo`010041O@000@00200902<0000S
0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=d
Ib1UKVAmNg1_L7eYIVE/LfD=02<0002Q09H03040000220000000002Q06@046Ab
Mc80>P05000000010000X@1T00iTLWLb03X00P0T0000002Q06@0=6AbMc80>P01
00<0000<0000000000000400@01004000000000000000000000000000000X@2J
00Som0000<D0002P09P03@0`010GP1UPGP1UP00EH000:00A04L@CF5dJ4aYKV/P
D79_Ig9QK@00X02I0:40I008I79g<P0j00@0XACS00800@2P09L0200802804@2Y
00008`000:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMY
KR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000X@1T035TLWLb0080CP5905`1]000
000000000000000000000000oooooooo00400@5m0001000800T08`0002<0002Q
0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^
I7ekL6m`OFUVIFacI@d08`000:40UP0<0@00008:000000000:40I00@I79g<P0j
00D000000040002Q06@03VAbMc80>P0202@000000:40I00dI79g<P0j00400`00
00`0000000000000@0100400@000000000000000000000000000002Q09X02?od
0000e@000:00V00EH000:00?0B4BCF5dJ6E]HGAYHf4PBfEbKVE/002P09T0X@1T
00QTLWLb03X0102Q5><00P010:00U`0800P08P0?0H`0000S0000X@3003Xa820P
820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eY
IVE/LfD=02<0002Q06@0<FAbMc800P1Z0>d0M@4b000000000000000000000000
003oooooool00@010Gd0004000P02@0S00008`000:40`00j<B0P820P87EcIG9T
JF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S
0000X@2F00`100000PX000000000X@1T011TLWLb03X01@0000000@000:40I00>
I79g<P0j008090000000X@1T03ATLWLb03X00@0300002@000000000000000D00
005000000000000000000000000000000:40VP08ooH000290000X02H00d0900@
0;`IH0;`IH005F0002P0:@3546EfIFid86EhL79ULg=YKfh00:00V@2Q06@026Ab
Mc80>P040:4Dh`020040X02G00P0200R02T12@0002<0002Q0<00>S4P820P821e
LfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFac
I@d08`000:40I00aI79g<P020?T0i0440Cd00000000000000000000000000?oo
ooooo`010041O@000@00200902<0000S0000X@3003Xa820P820PMG=ULVAYHg@P
;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q
09H03040000220000000002Q06@046AbMc80>P05000000010000X@1T00iTLWLb
03X00P0T0000002Q06@0=6AbMc80>P0100<000090000000000000001@0000D00
0000000000000000000000000000X@2J00SomP000;40002P09P05F0002P0^02l
5TEhM6EbKV5/84=QK6`PAWE^HgAYKfh00:00V@2Q06@026AbMc80>P040:4Dh`02
0040X02G00P0200R0;P1500002<0002Q0<00>S4P820P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I00a
I79g<P0209X0QP340;D00000000000000000000000000?ooooooo`015041O@00
0@00200902<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1k
Gf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0000800P0<@1A05h0N`2=
0:40UP0<0P000098000000000:40I00@I79g<P0j00D000000040002Q06@03VAb
Mc80>P0202@000000:40I00dI79g<P0j00400`0000`0000000000000@0100400
@000000000000000000000000000002Q09X0200/0000D0000:00V00=030041N0
6F1N06F001FP000X05/0H@IgJFiTKgL00:00V@2Q06@02VAbMc80>P0<0@d0X02H
0:00V@2P09P05B0002/93PATHGAQ002P09T0X@1T00YTLWLb03X0304=0:00V02P
09T0X02H01EP000X07L0GPUcM79eHgAeLVD0X02I0:40I008I79g<P0j00@0XACS
00800@2P09L08P1g08d0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[
KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0H6Ab
Mc800`1d0440O`1]P000080000020P0000000000003oooooool00A@127d00001
07X0A01j06`000000000000101@030030080001J004000020010000<0000000S
00008`000:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMY
KR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S00002Ooooooooooo02<0000S0000X@30
03X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAm
Ng1_L7eYIVE/LfD=02<0002P0:X0H@0R03D0@01Coi80:00700800P0R03006aT0
0:00[@07000000090000000000008`0002<0002Q0<00>S4P820P821eLfEbI6US
M20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`00
0:40I00aI79g<P0206P0;@1c05l00000000000000000000000000?ooooooo`01
0041O@000@00200902<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[
KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q09H03040
000200000000002Q06@046AbMc80>P05000000010000X@1T00iTLWLb03X00P0T
0000002Q06@0=6AbMc80>P0100<000090000000000000001@0000D0000000000
00000000000000000000X@2J00SomP0006<0002P09P03@0T0100_1UP0_1UP00E
H000:00W00D<EG=ULRMc86EfIFid002P09T0X@1T00QTLWLb03X0102Q5><00P01
0:00U`0800P08P0W03L0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[
KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002Q06@0H6Ab
Mc800`1f0=P0P@57P000080000020P0000000000003oooooool00A@127d00001
07`0f`1l0DH000000000000101@030030080001J004000020010000<0000000S
00008`000:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMY
KR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S00002Ooooooooooo02<0000S0000X@30
03X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAm
Ng1_L7eYIVE/LfD=02<0002P0:X0H@0T0@l0@P4]oi80:00700800P0R0380/U`0
0:00[@07000000090000000000008`0002<0002Q0<00>S4P820P821eLfEbI6US
M20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`00
0:40I01PI79g<P030>H0fP3a0DV00000P00000820000000000000?ooooooo`01
5048f`000080k03M0>`1B000000000000040500<00<00P0005X00@0000800400
00`0000002<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1k
Gf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<00009ooooooooool08`00
02<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhP
LgAW86E^I7ekL6m`OFUVIFacI@d08`000:00Z`1Q09@0YP2b0<@0AP0X00L00P02
0280XP33G000X02]00L0000000T000000000000S00008`000:40`00j<B0P820P
87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIU
K7=U3@0S0000X@1T061TLWLb00<0e0240?<0SH00`02004000@40000000000000
oooooooo004D0@Qm00000@3c08T0eP290000000000000@0D00`00`020000FP01
00000P00@000300000008`0002<0002Q0<00>S4P820P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`0000Wooooo
ooooo`0S00008`000:40`00j<20P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemS
MR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000X02Z0640P@1E09T0KOlh
02P01`0100408P2Z0640kP2P0:d01`0000002@000000000002<0000S0000X@30
03Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAm
Ng1_L7eYIVE/LfD=02<0002Q06@0H6AbMc800`3B09D0jP2NP0300800@0010@00
00000000003oooooool00A@127d000020=@0VP3Z09X000000000000101@03003
0080001J004000020010000<0000000S00008`000:40`00j<B0P820P87EcIG9T
JF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S
00002Ooooooooooo02<0000S0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[
KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002P0:/0H@1o
06H0U`1nocP0:00700400@0R09H0LP0;0:00[@0700000009R2:88XPRR2808`00
02<0002Q0<00>S0^=cDP821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhP
LgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I01PI79g<P0307H0K`210=200000
P00000820000000000000?ooooooo`0160@8O@000080O03?07`0LP0000000000
0040500<00<00P0005X00@000080040000`0000002<0000S0000X@3003X`;SLe
820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eY
IVE/LfD=02<00009ZUFZEJYEZUD08`0002<0002Q0<00>S0^=B0P821eLfEbI6US
M20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`00
0:00Z`0S00008`000:40`00j<2he820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemS
MR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000H@0T09P0@P2foi80:007
00800P0R0380Uk800:00[@07000000090000000000008`0002<0002Q0<00>S4P
820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`
OFUVIFacI@d08`000:40I00aI79g<P0206P0N01c0<X000000000000000000000
00000?ooooooo`010041O@000@00200902<0000S0000X@3003Xa820P820PMG=U
LVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=
02<0002Q09H03040000200000000002Q06@046AbMc80>P05000000010000X@1T
00iTLWLb03X00P0T0000002Q06@0=6AbMc80>P0100<000090000000000000001
@0000D000000000000000000000000000000X@2J00SomP000:<0002P09P05F00
02U;57=UKV@PIGIUKW@PM6lPJfEbKVE/0:00V@2Q06@026AbMc80>P040:4Dh`02
0040X02G00P0200R02L0X@0002<0002Q0<00>S4P820P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:40I01P
I79g<P0308d1DP3N0E^00<00P01000410000000000000?ooooooo`015048O@00
0040S`5G0=h1E`00000000000040500<00<00P0005X00@000080040000`00000
02<0000S0000X@3003Xa820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869U
IfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<00009ooooooooool08`0002<0002Q
0<00>S0P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^
I7ekL6m`OFUVIFacI@d08`000:00ZP1Q08T18`2Q0C_ok00X00L00@010280AP4_
04<0X02]00L0000000T000000000000S00008`000:40`00j<B0P820P87EcIG9T
JF=d82mOHgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S
0000X@1T061TLWLb00<0a`5[0=h1M800`02004000@40000000000000oooooooo
004D0@Qm00000P3N0G00b@5`0000000000000@0D00`00`020000FP0100000P00
@000300000008`0002<0002Q0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^
87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`0000Woooooooooo`0S
00008`000:40`00j<20P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMY
KR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000X02[0640R@4l0:41E?o/02P01`01
00408P290DP0m`2P0:d01`0000002@000000000002<0000S0000X@3003Xa820P
820PMG=ULVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eY
IVE/LfD=02<0002Q06@0H6AbMc800`2U0J40g`6ZP0300800@0010@0000000000
003oooooool00A@127d000020=l1YP2W0JH000000000000101@030030080001J
004000020010000<0000000S00008`000:40`00j<B0P820P87EcIG9TJF=d82mO
HgHPJfi_MfhPNemSMR1RIFMYKR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S00002Ooo
oooooooo02<0000S0000X@3003X`820P820PMG=ULVAYHg@P;emSMR1[KVmgKR1k
Gf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=02<0002P0:/0H@2:0G80XP6:
on`0:00700400@0R08X1OP3D0:00[@07000000090000000000008`0002<0002Q
0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^
I7ekL6m`OFUVIFacI@d08`000:40I01PI79g<P030:P0?`2c06^00000P0000082
0000000000000?ooooooo`015048]P000080[P120:h0JP00000000000040500<
00<00P0005X00@000080040000`0000002<0000S0000X@3003Xa820P820PMG=U
LVAYHg@P;emSMR1[KVmgKR1kGf=f869UIfU^87=dIb1UKVAmNg1_L7eYIVE/LfD=
02<00009ooooooooool08`0002<0002Q0<00>S0P820P821eLfEbI6USM20_Gf=f
86]^KgM^87]OHgHPHVEWJFhPLgAW86E^I7ekL6m`OFUVIFacI@d08`000:00Z`1Q
05H02`1d02T0AP0X00L00P020280I00X6@00X02]00L0000000T000000000000S
00008`000:40`00j<B0P820P87EcIG9TJF=d82mOHgHPJfi_MfhPNemSMR1RIFMY
KR1cM6LPIFiTOG]`Kg1mJFIUK7=U3@0S0000X@1T035TLWLb0080^P0b0=/0I000
000000000000000000000000oooooooo00400@5m0001000800T08`0002<0002Q
0<00>S4P820P821eLfEbI6USM20_Gf=f86]^KgM^87]OHgHPHVEWJFhPLgAW86E^
I7ekL6m`OFUVIFacI@d08`000:40UP0<0P000080000000000:40I00@I79g<P0j
00D000000040002Q06@03VAbMc80>P0202@000000:40I00dI79g<P0j00400`00
00T000000000000000500001@000000000000000000000000000002Q09X0200R
0000@0000:00V00E8000:01i01<8LVEQHgAYKfh00:00V@2Q06@02VAbMc80>P0<
0@d0X02H0:00V@2P09P05F0002/<2`9dK`00X02I0:40I00:I79g<P0j00`13@2P
09P0X02I0:00V00EH000:02?00X<EG=ULRMc86EfIFid002P09T0X@1T00QTLWLb
03X0102Q5><00P010:00U`2Q06@01VAbMc80A02P08<0o`\>"], "Graphics",
  ImageSize->{406, 188},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Interactive Geometry:
Two points and a line orthogonal to them\
\>", "Section"],

Cell[CellGroupData[{

Cell["Start ", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(w\  = New[Window, p]\)], "Input"],

Cell[BoxData[
    \(self$1844\)], "Output"]
}, Open  ]],

Cell[BoxData[{
    \(\(title = \ 
      New[TextObject, w, TextObjectFont -> Times, TextObjectFontSize -> 24, 
        TextObjectAlign -> Center, TextObjectFrame -> False, 
        TextObjectRect -> {{67, 5}, {320, 61}}]; \)\), 
    \(\(title[settext, "\<Two Points and
		a Line orthogonal to them\>"]; \)\)}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Create Objects", "Subsection"],

Cell[CellGroupData[{

Cell["Point Object", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(p1\  = \ 
      New[PointObject, w, PointObjectPosition -> {180, 180}, 
        PointObjectSize -> 4]\)], "Input"],

Cell[BoxData[
    \(self$1848\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(p2\  = \ 
      New[PointObject, w, PointObjectPosition -> {350, 350}, 
        PointObjectSize -> 4]\)], "Input"],

Cell[BoxData[
    \(self$1849\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Line Object", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(l3\  = 
      New[LineObject, w, LineObjectSize -> 1, 
        LineObjectPosition -> {{249, 131}, {92, 314}}]\)], "Input"],

Cell[BoxData[
    \(self$1850\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Create Comment object", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(comments\  = \ 
      New[TextObject, w, TextObjectRect -> {{8, 346}, {291, 392}}]; \)\), 
    \(comments[settext, "\<There are no relations between objects.
		You can move them by mouse one by one.\>"]\)}], "Input"],

Cell[BoxData[
    \(79\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Define functions to find orthogonal line", "Subsection"],

Cell[BoxData[
    \(findline[p1_, p2_, d4_]\  := \n\t
      Module[{p, zx, zy, sol}, \n\t\tp\  = \ p1 - p2; \n\t\tsol\  = \ 
          Solve[{{zx, zy} . p == 0.0, \ {zx, zy} . {zx, zy} == d4}, 
            {zx, zy}]; \n\t\t{zx, zy} + \((p1 + p2)\)/2.0 /. sol]\)], "Input"],

Cell[BoxData[
    \(len4[{p1_, p2_}] := \n\t\((\((p1 - p2)\) . \((p1 - p2)\))\)/4.0\)], 
  "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(l3[move, 
      findline[p1[getposition], p2[getposition], len4[l3[getposition]]]]\)], 
  "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Define the relations between them", "Subsection"],

Cell["\<\
When p1 get move message, it send move message to line, then move \
itself.\
\>", "Text"],

Cell[BoxData[
    \(p1[move, {x_, y_}] := \n\t
      \((l3[move, 
          findline[p1[getposition], p2[getposition], 
            len4[l3[getposition]]]]; \n\t\tp1[setposition, {x, y}])\)\)], 
  "Input"],

Cell["Same as p1.", "Text"],

Cell[BoxData[
    \(p2[move, {x_, y_}] := \n\t
      \((l3[move, 
          findline[p1[getposition], p2[getposition], 
            len4[l3[getposition]]]]; \n\t\tp2[setposition, {x, y}])\)\)], 
  "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(comments[settext, 
      "\<Now, when you move these points, the line will follow to orthogonal \
position.\>"]\)], "Input"],

Cell[BoxData[
    \(77\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Interactive Statistics:
Points and its Fitting curve\
\>", "Section"],

Cell[CellGroupData[{

Cell["Start", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(w2\  = \ New[Window, p]\)], "Input"],

Cell[BoxData[
    \(self$1931\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(title2 = \ 
      New[TextObject, w2, TextObjectFont -> Times, TextObjectFontSize -> 24, 
        TextObjectAlign -> Center, TextObjectFrame -> False, 
        TextObjectRect -> {{67, 5}, {320, 61}}]; \)\), 
    \(title2[settext, "\<Interactive Statistics\>"]\)}], "Input"],

Cell[BoxData[
    \(22\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(points\  = \ 
      Table[New[PointObject, w2, 
          PointObjectPosition -> 
            {Random[Integer, {50, 350}], Random[Integer, {150, 350}]}, 
          PointObjectSize -> 4], {20}]; \)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Define the Function to find Regression Curve of these points by Fit
and Create a curve\
\>", "Subsection"],

Cell[BoxData[
    \(findreg[pl_]\  := \n\t
      Module[{f}, \n\t
        f = Fit[Map[#[getposition] &, pl], {1, x, x^2, x^3}, x]; \n\t\tTable[
          {x, f} /. x -> i, {i, 1, 400, 4}]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(reg\  = \ 
      New[PolyObject, w2, findreg[points], {{0, 0}, {400, 400}}, 1]\)], 
  "Input"],

Cell[BoxData[
    \(self$1956\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(comments2\  = \ 
      New[TextObject, w2, TextObjectRect -> {{54, 68}, {337, 114}}]; \)\), 
    \(comments2[settext, "\<There are no relations between objects.
		You can move them by mouse one by one.\>"]\)}], "Input"],

Cell[BoxData[
    \(79\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Define the relation between points and curve", "Subsection"],

Cell[BoxData[
    \(\(Map[
      \((#[move, {x_, y_}] 
            := \n\t\t\((reg[set, findreg[points]]; \n\t\t\t\t#[setposition, 
                {x, y}])\))\) &, points]; \)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(comments2[settext, 
      "\<Now, when you move these points, the curve will follow to fit new \
data in real time.\>"]\)], "Input"],

Cell[BoxData[
    \(84\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(tout\  = \ 
      New[TextObject, w2, TextObjectFrame -> False, \n\t
        TextObjectRect -> {{3, 370}, {378, 408}}]\)], "Input"],

Cell[BoxData[
    \(self$1959\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(findreg[pl_]\  := \n\t
      Module[{f}, \n\tf = Fit[Map[#[getposition]&, pl], {1, x, x^2, x^3}, x]; 
        \n\t\ttout[settext, ToString[f]]; \n\t\t
        Table[{x, f} /. x -> i, {i, 1, 400, 4}]]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["End", "Section"],

Cell[BoxData[
    \(p[dispose]\)], "Input"]
}, Closed]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 800}, {0, 580}},
Evaluator->"Serializer",
WindowSize->{448, 442},
WindowMargins->{{Automatic, 72}, {Automatic, 8}},
MacintoshSystemPageSetup->"\<\
00<0001804P000000]P2:?oQon82n@960dL5:0?l0080001804P000000]P2:001
0000I00000400`<300000BL?00400@0000000000000006P801T1T00000000000
00000000000000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 51, 0, 50, "Section"],

Cell[CellGroupData[{
Cell[1807, 55, 52, 1, 27, "Input"],
Cell[1862, 58, 51, 1, 26, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[1962, 65, 130, 5, 48, "Section"],

Cell[CellGroupData[{
Cell[2117, 74, 99, 2, 43, "Input"],
Cell[2219, 78, 43, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2299, 84, 110, 2, 43, "Input"],
Cell[2412, 88, 72, 1, 26, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[2533, 95, 37, 0, 30, "Section"],
Cell[2573, 97, 256, 7, 80, "Text"],
Cell[2832, 106, 9710, 151, 148, 9617, 148, "GraphicsData", 
"PICT", "Graphics"],
Cell[12545, 259, 215, 5, 48, "Text"],
Cell[12763, 266, 23001, 355, 196, 22909, 352, "GraphicsData", 
"PICT", "Graphics"]
}, Closed]],

Cell[CellGroupData[{
Cell[35801, 626, 89, 3, 48, "Section"],

Cell[CellGroupData[{
Cell[35915, 633, 28, 0, 46, "Subsection"],

Cell[CellGroupData[{
Cell[35968, 637, 53, 1, 27, "Input"],
Cell[36024, 640, 43, 1, 70, "Output"]
}, Open  ]],
Cell[36082, 644, 319, 6, 107, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[36438, 655, 36, 0, 30, "Subsection"],

Cell[CellGroupData[{
Cell[36499, 659, 37, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[36561, 663, 134, 3, 59, "Input"],
Cell[36698, 668, 43, 1, 70, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36778, 674, 134, 3, 59, "Input"],
Cell[36915, 679, 43, 1, 70, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[37007, 686, 36, 0, 28, "Subsubsection"],

Cell[CellGroupData[{
Cell[37068, 690, 142, 3, 43, "Input"],
Cell[37213, 695, 43, 1, 70, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[37305, 702, 46, 0, 28, "Subsubsection"],

Cell[CellGroupData[{
Cell[37376, 706, 239, 4, 75, "Input"],
Cell[37618, 712, 36, 1, 70, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[37715, 720, 62, 0, 30, "Subsection"],
Cell[37780, 722, 272, 4, 123, "Input"],
Cell[38055, 728, 99, 2, 43, "Input"],

Cell[CellGroupData[{
Cell[38179, 734, 118, 3, 43, "Input"],
Cell[38300, 739, 35, 1, 26, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[38384, 746, 55, 0, 30, "Subsection"],
Cell[38442, 748, 99, 3, 30, "Text"],
Cell[38544, 753, 205, 5, 75, "Input"],
Cell[38752, 760, 27, 0, 30, "Text"],
Cell[38782, 762, 205, 5, 75, "Input"],

Cell[CellGroupData[{
Cell[39012, 771, 144, 3, 75, "Input"],
Cell[39159, 776, 36, 1, 26, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[39256, 784, 79, 3, 48, "Section"],

Cell[CellGroupData[{
Cell[39360, 791, 27, 0, 46, "Subsection"],

Cell[CellGroupData[{
Cell[39412, 795, 56, 1, 27, "Input"],
Cell[39471, 798, 43, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[39551, 804, 296, 5, 123, "Input"],
Cell[39850, 811, 36, 1, 26, "Output"]
}, Open  ]],
Cell[39901, 815, 231, 5, 107, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[40169, 825, 116, 3, 66, "Subsection"],
Cell[40288, 830, 201, 4, 91, "Input"],

Cell[CellGroupData[{
Cell[40514, 838, 114, 3, 43, "Input"],
Cell[40631, 843, 43, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[40711, 849, 242, 4, 107, "Input"],
Cell[40956, 855, 36, 1, 26, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[41041, 862, 66, 0, 30, "Subsection"],
Cell[41110, 864, 189, 4, 59, "Input"],

Cell[CellGroupData[{
Cell[41324, 872, 152, 3, 59, "Input"],
Cell[41479, 877, 36, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[41552, 883, 151, 3, 59, "Input"],
Cell[41706, 888, 43, 1, 26, "Output"]
}, Open  ]],
Cell[41764, 892, 232, 4, 107, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[42045, 902, 22, 0, 30, "Section"],
Cell[42070, 904, 43, 1, 27, "Input"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

