(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      5893,        173]*)
(*NotebookOutlinePosition[      6738,        200]*)
(*  CellTagsIndexPosition[      6694,        196]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["How to Install and Run the Demo", "Subtitle"],

Cell["Chikara MIYAJI", "Text"],

Cell["\<\
Installation is not diffcult. You only need to put \"Serializer.PPC\
\" program beside the Kernel and add a Kernel item in your Mathematica \
Frontend to Launch Serializer instead of Kernel.
This Folder contains;
1) Readme.nb(This file)
2) Serializer.PPC(Executable program)
3) QDWindow.PPC(Executable program)
4) demo.nb(Notebook file for demonstration)\
\>", "Text"],

Cell[CellGroupData[{

Cell["Instruction to install", "Subsection"],

Cell["\<\
(1) Put \"Serializer.PPC\" in your Mathematica:Executable:PowerPC \
Folder. There are Mathematica Frontend and Kernel.\
\>", "Text"],

Cell[TextData[{
  "(2) Run ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Frontend(3.0 or later), and Choose \"Kernel Configuration Option... \
\"Menu. Choose \"Add\" button. Change the \"Kernel name\" from \"New Kernl\" \
to \"Serializer\", and change the Kernel Program:\" name from \"MathKernel\" \
to \"Serializer.PPC\". Save it name as \"Serializer\".\n(3) You can put \
\"demo.nb\" and \"QDWindow.PPC\" program anywhere you want.\n"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Instruction to Run", "Subsection"],

Cell["\<\
(1) Open the Notebook \"demo.nb\", and evaluate \"Intialization \
when kernel start\" Cell. It contains a single command, MessageLinkCreate[]. \
When it invoked, a Kernel Session named \"Serializer\" will start because it \
is the Notebook's Kernel, and \"Serializer.PPC\" will start MathKernel also. \
And Frontend will open another Notebook and will evaluate an expression \
start[]. Then your Notebook \"demo.nb\" will get the return value. It is a \
linkname used by \"Serializer.PPC\" internally. Another Notebook which \
start[] is evaluated will not finish forever. This is normal reaction.\
\>", 
  "Text"],

Cell["\<\
(2) Double click \"WDWindow.PPC\", it will ask you the link name to \
Create. Just push OK to create \"QDWinodw.PPC\" port to open.\
\>", "Text"],

Cell[TextData[{
  "(3) Evaluate next Cell named \"Launch ",
  StyleBox["MathLink",
    FontSlant->"Italic"],
  " Program and Establish Connection\". If everything goes well, \
New[MLProgram, ...] weill return a symbol like \"self$123\". And I set a \
Option to change."
}], "Text"],

Cell["\<\
(4) This is all to set up. Next, you can follow the instructions of \
the Notebook.  The Window of the \"QDWindow.PPC\" is the main Window to \
handle your event and show the results. Please make sure that the window is \
not covered by other program, otherwise you can't see the results.\
\>", 
  "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Instruction to Finish", "Subsection"],

Cell["\<\
(1) Evaluate the Cell named \"End\". It will close windows and quit \
\"QDWindow.PPC\" program.
(2)Notice, \"End\" doesn't kill \"Serialiaer.PPC\" program. But still you can \
evaluate expression by Kernrel. If you go back to (2) of \"Instruction to Run\
\", you can do them again. You don't need to run \"MessageLinkCreate[] again.\
\
\>", "Text"],

Cell["\<\
(3) To Quit \"Serializer.PPC\", you just need to select Kernel Menu \
to Quit \"Serializer\". It will kill \"Serializer.PPC\" and kernel. When \
Quiting the \"Serializer.PPC\", it display a Alert message like \"Serializer \
port 1 closed\". Just click OK for that.\
\>", "Text"],

Cell["\<\
(4) If everything goes well, your \"Serializer.PPC\" and \
\"MathKernel\" will die. In some case, both program will not die for some \
reason, switch to these programs and choose \"Quit\" menu manually. It will \
quit these programs. If you can't quit them, choose \"Restart\" by choosing \
CNTL+Command+PowerON. I hope this will not happen.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Some Comments", "Subsection"],

Cell["\<\
When you'll make new Notebook to use \"QDWindow.PPC\", you must \
choose Notebook's Kernel to \"Serializer\".\
\>", "Text"],

Cell["\<\
Run this demo on a faster machine. To get smoother reaction of your \
mouse movement, choose faster machine like G3.\
\>", "Text"],

Cell["You can't run this program on a 68K basemachine.", "Text"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"3.5 for Macintosh",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowSize->{520, 509},
WindowMargins->{{104, Automatic}, {Automatic, 19}},
MacintoshSystemPageSetup->"\<\
00<0001804P000000]P2:?oQon82n@960dL5:0?l0080001804P000000]P2:001
0000I00000400`<300000BL?00400@0000000000000006P801T1T00000000000
00000000000000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 51, 0, 62, "Subtitle"],
Cell[1793, 53, 30, 0, 30, "Text"],
Cell[1826, 55, 378, 9, 126, "Text"],

Cell[CellGroupData[{
Cell[2229, 68, 44, 0, 46, "Subsection"],
Cell[2276, 70, 142, 3, 46, "Text"],
Cell[2421, 75, 462, 9, 112, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2920, 89, 40, 0, 46, "Subsection"],
Cell[2963, 91, 624, 10, 126, "Text"],
Cell[3590, 103, 155, 3, 46, "Text"],
Cell[3748, 108, 281, 7, 64, "Text"],
Cell[4032, 117, 315, 6, 62, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4384, 128, 43, 0, 46, "Subsection"],
Cell[4430, 130, 358, 7, 94, "Text"],
Cell[4791, 139, 288, 5, 62, "Text"],
Cell[5082, 146, 365, 6, 78, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5484, 157, 35, 0, 46, "Subsection"],
Cell[5522, 159, 133, 3, 46, "Text"],
Cell[5658, 164, 140, 3, 46, "Text"],
Cell[5801, 169, 64, 0, 30, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

